/* Stats */

.stats {}

.stats h2 {
  grid-area: title;
  margin-bottom: 0;
}

.stats hr {
  grid-area: hr;
}

.stats-content {
  grid-area: content;
}

.stats-content p:last-child {
  margin-bottom: 0;
}

.stats-infographic {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.stats-infographic figure {
  margin: 0;
  text-align: center;
}

.stats-infographic-internet {
  color: var(--color-white);
  background-color: var(--color-gigas);
}

.stats-infographic-shopping {
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: space-around;
  align-items: end;
  gap: 1.5rem;
}

.stats-infographic img {
  margin-bottom: 1.25rem;
}

/* Advantages */

.advantages {
  grid-template-areas: 
    "title"
    "hr"
    "text"
    "content";
}

.advantages h2 {
  grid-area: title;
  margin-bottom: 0;
}

.advantages-text {
  grid-area: text;
}

.advantages hr {
  grid-area: hr;
}

.advantages ul {
  grid-area: content;
}

.advantages h3,
.advantages ul p {
  margin-bottom: 0;
}

/* Offers */
.offers {
  grid-template-areas: 
    "text"
    "hr"
    "content";
}

.offers-text {
  grid-area: text;
  margin-bottom: 0;
}

.offers hr {
  grid-area: hr;
}

.offers-list {
  display: grid;
  grid-area: content;
  row-gap: 1.5rem;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.offers-list > li {
  display: grid;
  grid-template-areas: 
      "icon title";
  column-gap: 1rem;
  justify-content: start;
  align-items: center;
}

.offers-list figure {
  grid-area: icon;
}

.offers-list h3 {
  grid-area: title;
  margin-bottom: 0;
}

@media (max-width: 575px) {
  .offers-list h3 {
    font-size: 1.125rem;
  }
}

@media (min-width: 576px) {
  .offers-list > li {
    column-gap: 1.5rem;
  }
}

@media (min-width: 768px) {
  .offers-list {
    grid-template-columns: 1fr 1fr;
  }
  .stats-infographic img {
    margin-bottom: 3.75rem;
  }

  .offers-list > li {
    column-gap: 2rem;
  }
}

@media (min-width: 1024px) {
  .offers ul {
    grid-template-columns: 1fr 1fr;
    row-gap: 4rem;
    column-gap: 1.875rem;
  }
}


/* About Magento */

.about-magento-content {
  padding-top: 9rem;
}

/* Magento Services */


.magentoServices hr {
  margin-bottom: 2.25rem;
}

.magentoServices p {
  margin-bottom: 0;
  color: var(--color-flamingo);
}

/* Services */

.services {
  --color: var(--color-white);
  --bgColor: var(--color-darkredwine);

  overflow: hidden;
  color: var(--color);
  background-color: var(--bgColor);
}

.services > div {
  display: grid;
  align-content: center;
  row-gap: 1.5rem;
}

.services h2 {
  margin-bottom: 0;
  max-width: 36rem;
  color: inherit;
}

.services ul {
  display: grid;
  column-gap: 2rem;
  row-gap: 1.25rem;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.services li {
  display: grid;
  grid-template-areas: 
    "icon"
    "title"
    "text";
  grid-template-rows: repeat(3, min-content );
  row-gap: 0.75rem;
}

.services figure {
  grid-area: icon;
  margin-bottom: 0.75rem;
}

.services h3 {
  grid-area: title;
  margin-bottom: 0;
}

.services p {
  grid-area: text;
  margin-bottom: 0;
}

.services-round {
  --radius: 0;

  position: absolute;
  top: calc(10% - ((var(--radius) * 1px) / 2));
  left: calc(10% - ((var(--radius) * 1px)) / 2);
  z-index: -10;

  width: calc(var(--radius) * 1px);
  height: calc(var(--radius) * 1px);

  border-radius: 50%;
  background-color: var(--color-darkredwine);
}

@media (min-width: 576px) {
  .services ul {
    grid-template-columns: repeat(2, 1fr);
  }

  .services li {
    row-gap: 1rem;
  }
}

@media (min-width: 768px) {
  .services > div {
    row-gap: 2rem;
    min-height: 45rem;
  }

  .services ul {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (min-width: 1024px) {
  .services > div {
    row-gap: 2.5rem;
  }

  .services ul {
    grid-template-columns: repeat(5, 1fr);
  }
}

@media (min-width: 1280px) {
  .services > div {
    column-gap: 1rem;
    padding-left: 0;
    padding-right: 0;
    min-height: 50rem;
  }

  .services ul {
    padding-top: 2.5rem;
    column-gap: 5rem;
  }
}

@media (min-width: 1400px) {
  .services > div {
    column-gap: 2rem;
    min-height: 55rem;
  }
}

/* contacts */

.contacts b {
  margin-bottom: 1.5rem;
}

@media (min-width: 1400px) {
  .contacts b  {
    margin-bottom: 2.5rem;
  }
}

/* LineChart */

.line-chart-wrapper {
  background-color: var(--color-gigas);
}

.line-chart-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

@media (max-width: 767px) {
  .line-chart-container {
    padding: 0;
    margin: 0 auto;
  }
}
@media (max-width: 479px) {
  .line-chart-container {
    margin: 0 -1rem;
  }
}

